What is NetWorx

NetWorx is a simple, yet powerful tool that helps you objectively evaluate your bandwidth situation. You can use it to collect bandwidth usage data and measure the speed of your Internet or any other network connection. NetWorx can help you identify possible sources of network problems, ensure that you don’t exceed the bandwidth limits specified by your ISP, or track down suspicious network activity characteristic of Trojan horses and hacker attacks.

The program allows you to monitor all your network connections or a specific network connection (such as Ethernet or PPP) only. The software also features a system of highly customizable visual and sound alerts. You can set it up to alert you when the network connection is down or when some suspicious activity, such as unusually heavy data flow, occurs. It can also automatically disconnect all dialup connections and shut down the system.

The incoming and outgoing traffic is represented on a line chart and logged to a file, so that you can always view statistics about your daily, weekly and monthly bandwidth usage and dialup duration. The reports can be exported to a variety of formats, such as HTML, MS Word and Excel, for further analysis.
NetWorx most important features
Provides clear graphic and/or numeric display
Logging facility (collecting statistics) with export to a variety of file formats, including Excel, MS Word and HTML
Permits close supervision of uploads and downloads
Works with dial-up, ISDN, cable modem, ADSL, Ethernet cards, and more
Network information & testing tools
Scalable to your own modem download capabilities
Option to notify user or disconnect from the Internet automatically when network activity exceeds a certain level
Useful speedometer to accurately time downloads and report the average transfer rates

NOTE: Registered users receive all new NetWorx versions for FREE!
Version history
3.2 | November 19, 2004 | Bug fixed
3.1 January 2, 2004
  • Enhanced notifications conditions
  • Configurable tray tooltip
  • Were made some optimizations
3.0 February 20, 2003
  • Small bugs were fixed
  • New feature - Ping
  • New feature - TraceRoute
  • New feature - NetStat
  • Minor interface changes
2.1 | November 27, 2002
2.0 November 14, 2002
  • Fully rebuilt version 1.0. New engine, new interface.
  • This version is shareware (time limit).
  • This is the first published version.
1.0 June 10, 2002
  • This version is for internal use only, never published.
SoftPerfect, NetWorx, design and related marks
are copyrighted © 2000-2004 SoftPerfect Research. All rights reserved.


Contacts

Contact information
If you have any questions or suggestions, please e-mail to us
Questions about NetWorx, suggestions, etc:
support@softperfect.com
General information
info@softperfect.com
Sales information
sales@softperfect.com

Visit our web-site

http://www.softperfect.com


Registration

The evaluation version of the product has the following restrictions:

  • 30-day trial period. The program will function for 30 days since the moment of first start only.
  • No technical support.
  • Trialware reminder

Please register your copy of NetWorx. Registered users receive

  • Full technical support
  • Full version of the product (without any limitations)
  • New versions of the product for FREE!
Once you have registered the product by filling in the online order form, a license will be sent to you via email to unlock the software for use.


License agreement
This license agreement is a legal agreement between you (either an individual or a single entity) and the author of this software (SoftPerfect Research).
By installing or otherwise using this software you agree to be bound by this agreement. If you do not agree to the terms of this Agreement, you may not install or use this software. You may install and use an unlimited number of copies of the UNREGISTERED TRIALWARE version of this software on your computers. You may give this software package to your friends, burn it onto your own CD-ROMs (or other media) and upload it to Software Archives as long as the original package remains unmodified.

The author of this software owns all rights in the Software (including any images or text incorporated into the Software).

You are granted a non-exclusive license to use the program on one computer at a time. The program may not be rented, leased or transferred.

Any use of the program, which is illegal under international or local law, is forbidden by this license. Any such action is the sole responsibility of the person committing the action.

The program is distributed "AS IS" and you assume full responsibility for determining the suitability of the program and for results obtained.

SoftPerfect Research makes no warranty that all errors have been or can be eliminated from the program software and, with respect thereto, SoftPerfect Research shall not be responsible for losses, damages, costs, or expenses of any kind resulting from using or misusing the program including without limitation, any liability for business expenses, machine downtime, damages experienced by you or any third person as a result of any deficiency, defect, bug, error or malfunction. SoftPerfect Research shall not be liable for any indirect, special, incidental, or consequential damages relating to or arising out of the subject matter of this Agreement or actions taken thereunder

NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THE PROGRAM AT YOUR OWN RISK. SOFTPERFECT RESEARCH DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. NOBODY WILL BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not distribute, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the program, or any subset of the program. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal or civil prosecution.

SoftPerfect Research reserves all rights not expressly granted here.

The author makes available Technical Support for this Software. The author may, from time to time, revise or update the Software.

Installing or using the program signifies acceptance of these terms and conditions of the license.

IF YOU DO NOT AGREE WITH THE TERMS OF THIS LICENSE YOU MUST REMOVE THE PROGRAM FILES FROM YOUR STORAGE DEVICES AND CEASE TO USE THE PROGRAM(S).
SoftPerfect, NetWorx, design and related marks
are copyrighted © 2000-2004 SoftPerfect Research All rights reserved.


NetWorx popup menu
 | Right-click the NetWorx system tray icon (as shown in the picture on the left) to bring up the program's menu. This menu contains commands to control the utility. Left-clicking the system tray icon displays the current NetWorx state (Windows 2000 and above only).
The menu contains the following items |
"Graph" | Toggles the display of the NetWorx main window that reflects the current network load. Read more...
"Speedometer" | Use Speedometer to measure your network device's throughput and the network traffic. Read more...
"Statistics" | Displays the statistic data collected by NetWorx (daily, weekly, or monthly incoming and outgoing traffic). You can easily export this data to MS Word, MS Excel and any other programs. Read more...
"Settings" | Use this command to customize the NetWorx settings. Read more...
"Ping" | Sends out an echo request to a specific computer on the network. Read more...
"Trace Route" | Allows you to determine the path a packet is taking across the Internet. Read more...
"Net Stat" | Displays active TCP connections and ports on which the computer is listening. Read more...
"Help" | Displays help (this file).
"About NetWorx" | Displays information about the program.
"Quit" | Quits NetWorx.


NetWorx statistics
The Statistics window displays accumulated daily, weekly and monthly totals, and lets you export that information to a number of file formats. Today's and "full" totals are displayed here.

Daily Report

Here you can see the daily totals report since the day NetWorx was installed. Click the Export button to export this report to a variety of file formats. See the Export section below for more information.

Weekly Report

Weekly report is similar to daily report in all aspects except for the report period.

Monthly Report

This report shows monthly totals, just like daily and weekly reports above.

Export function

All NetWorx reports can be exported to a number of file formats. Follow the steps below to export a daily, weekly or monthly report:

1. Open the corresponding tab in the "Statistics" dialog box.
2. Click the Export button and select a desired file format from the drop-down list: Microsoft Excel (XLS), Microsoft Word (RTF), HTML, Plain Text (TXT), Comma Separated Values (CSV)
3. Specify the file name and click the "Save" button.


NetWorx Speedometer

NetWorx speed meter
NetWorx speedometer can be used to accurately measure data transfer rates over the user-specified periods of time. The various functions are quite intuitive. When you click the Start button, the time elapsed display will start counting the seconds and minutes, and the data transfer box will show the accumulated values for total data transferred and maximum and average transfer rates since the Start button was pressed. Press the Stop button to stop the clock. The collected data will remain visible until you press the Reset counters button.
Start/Stop
Reset counters
Help (This text)


NetWorx graph window
This window displays the real time traffic data. The number on the left shows the average transfer rate, the numbers at the bottom display the average values.
Graph controls
Toggles the display of incoming and outgoing traffic
Purges the graph and the maximum transfer rate value
Help (This text)


NetWorx Ping and Trace Route

NetWorx Ping
NetWorx Ping sends out an echo request to a specific computer on the network.
It can be used to check communication links or to check whether the specific host exists or is running.

Trace Route

Allows you to determine the path a packet is taking across the Internet. It looks up each machine along the path to a destination host and displays the corresponding name and IP address for that hop. With each name is the number of milliseconds to get to the destination.


NetWorx NetStat

Net Stat
Displays active TCP connections and ports on which the computer is listening.
"Protocol" - The name of the protocol (TCP or UDP).

"Local Address" - The IP address of the local computer and the port number being used.

"Remote Address" - The IP address and port number of the remote computer to which the socket is connected.

"State" - Indicates the state of a TCP connection. For more information about the states of a TCP connection, see RFC 793.


NetWorx General Settings

General settings
You can open the Options dialog box by selecting the Settings menu item from the NetWorx pop-up menu. The pop-up menu can be accessed by right-clicking the NetWorx icon in the system tray. In this dialog box you can customize some of the NetWorx settings.

Load on windows startup - mark this checkbox to load NetWorx on Windows startup. This mode is recommended for those, who plan using the statistical data collected by NetWorx.

Show graph on startup - Display the real time graph window on NetWorx startup.

Date format - Selects the long or short date display format.

Monitored interfaces - If your computer has more then one network adapter installed, you can instruct NetWorx to monitor only one of them. This option is useful, when, for example, you have one LAN adapter, which connects you to your organization' s internal network, and you use a dial-up (PPP) software adapter to connect to the Internet. In such case, you can choose to monitor only your PPP connection, and ignore the local LAN traffic.


NetWorx Graph Settings

Graph settings
You can open the Options dialog box by selecting the Settings menu item from the NetWorx pop-up menu. The pop-up menu can be accessed by right-clicking the NetWorx system tray icon. In this dialog box you can change various NetWorx options.

Always on top - Mark this checkbox to make NetWorx appear on top of all other desktop windows.

Display window title bar - This checkbox toggles the display of the NetWorx data window's title bar. Clear this checkbox to save the valuable desktop space.

Snap to desktop edges - Mark this checkbox for the graph window to snap to a desktop edge when you move it close enough.

Window transparency - NetWorx main window can appear semi-transparent under Windows 2000 and Windows XP. Specify the visibility in percents: 10% is barely visible, and 90% is nearly opaque. NOTE: This option is not available on Windows 9x or NT 4.0.

Max. value - If your network device is one of the predefined devices in this list, you can select it and your maximum transfer rate will be adjusted accordingly. If your device is absent in the supported devices list, use the manual setup option below, or set this option to "Auto". This feature shall be used when transfer rate varies greatly, and you cannot use one of the predefined settings or specify a custom connection speed. A good example of such connection is cable modem when service quality varies greatly: from very fast in the night to very slow during peak hours.

In the Colors section you can specify the graph's background and foreground colors by selecting them from the corresponding drop-down menu.


NetWorx Notifications

Notifications setup
You can open the Options dialog box by selecting the Settings menu item from the NetWorx pop-up menu. The pop-up menu can be accessed by right-clicking the NetWorx icon in the system tray. In this dialog you can modify some of the NetWorx settings.

Notification condition

If notifications are enabled, NetWorx can perform one of the following actions when the data transfer rate exceed the specified bounds:
  • Notify the user
  • Disconnect all active dial-up connections
  • Run an external program
  • Shut down the computer